@import '~@angular/material/theming';

@mixin mat-custom-toolbar-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary ); 
  $warn: map-get($theme, warn);


  .mat-toolbar {
      position: sticky;
      position: -webkit-sticky; /* For macOS/iOS Safari */
      top: 0; /* Sets the sticky toolbar to be on top */
      z-index: 1000; /* Ensure that your app's content doesn't overlap the toolbar */

      box-shadow: 0 0.5rem 0.25rem -0.3125rem mat-color($accent, 200);

      background: $white;
      height: 3.5rem;
      overflow: hidden;


      .mat-icon-button{
        display: flex;

      }
      
  }

  .mat-toolbar-single-row {
      padding: 0.75rem 2.5rem;
      
  }

  .zone-navigation,
  .zone-filters,
  .zone-actions {
      display: flex;
      flex-direction: row;
      
  }
  .zone-filters,
  .zone-actions {
      button{
        margin-left: 0.5rem;
      }
      
  }
  .zone-actions{
    
      margin-left: auto;

  }

  .zone-navigation{
      .mat-icon-button{
        border-left-width: 0rem;
        border-radius: 0rem 0.0rem 0.0rem 0rem;
        &:first-child{
          border-left-width: 0.0625rem;
          border-radius: 0.25rem 0.0rem 0.0rem 0.25rem;
        }
        &:last-child{
          border-radius: 0rem 0.25rem 0.25rem 0rem;
        }
      }
  }
}

